Bug 1850536 - Can't add RHEV with APIv3 through Hammer
Summary: Can't add RHEV with APIv3 through Hammer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-24 13:12 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:03 UTC (History)
5 users (show)

Fixed In Version: foreman-2.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:03:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-tail.log (1.95 KB, text/plain)
2020-06-24 13:12 UTC, Lukáš Hellebrandt
no flags Details
ovirt-engine.log (36.84 KB, text/plain)
2020-06-24 13:16 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30372 0 Normal Closed Can't add RHEV with APIv3 through Hammer 2020-12-04 20:39:17 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:03:53 UTC

Description Lukáš Hellebrandt 2020-06-24 13:12:38 UTC
Created attachment 1698596 [details]
foreman-tail.log

Description of problem:
Can't add RHEV with APIv3 through Hammer, it fails and says:

"""
Could not create the compute resource:
  Ovirt client returned an error: 404 Not Found
"""

Version-Release number of selected component (if applicable):
Sat 6.8 snap 5.0. Regression, this works in 6.7.1.

How reproducible:
Deterministic

Steps to Reproduce:
1. # hammer compute-resource create --name testv4Hammer4 --provider Ovirt --url https://<RHEV_FQDN>/ovirt-engine/api --user <rhev_username> --password <rhev_password> --datacenter Satellite-Devel --use-v4 0

Actual results:
Failure, error

Expected results:
Successfully added CR

Additional info:
RHEV APIv3 hasn't been supported for some time now. Maybe this is a good opportuniny to remove it from the Satellite completely.

Comment 1 Lukáš Hellebrandt 2020-06-24 13:16:09 UTC
Created attachment 1698597 [details]
ovirt-engine.log

Attaching log from RHEV

Comment 3 Shira Maximov 2020-07-12 13:17:24 UTC
Created redmine issue https://projects.theforeman.org/issues/30372 from this bug

Comment 4 Bryan Kearney 2020-07-12 16:02:34 UTC
Upstream bug assigned to mshira

Comment 5 Bryan Kearney 2020-07-12 16:02:36 UTC
Upstream bug assigned to mshira

Comment 6 Bryan Kearney 2020-07-14 12:02:46 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30372 has been resolved.

Comment 7 Lukáš Hellebrandt 2020-09-01 14:43:56 UTC
Verified with Sat 6.8 snap 13.1.

Used reproducer from OP, successfully added CR. I've also been able to create a Host on it. Tried adding {v3, v4} through {API, WebUI}, all passed.

Comment 10 errata-xmlrpc 2020-10-27 13:03:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.